BIEN 3 - Task #324

NYBG validations
01/12/2012 04:21 PM - Aaron Marcuse-Kubitza

Status: Resolved

Priority: Normal

Assignee: Aaron Marcuse-Kubitza
Category:

Target version:

Activity type:

Start date:
Due date:

% Done:

Estimated time:

01/12/2012

100%
0.00 hour

Description

History

#1 - 04/02/2012 10:47 AM - Aaron Marcuse-Kubitza
- % Done changed from 0 to 50

#2 - 10/03/2013 01:08 PM - Aaron Marcuse-Kubitza
- Status changed from New to Resolved

- % Done changed from 50 to 100

05/17/2024
